> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API credentials

> Retrieves credentials for a specific API key. -Allows users to retrieve the full credential string that can be used with the CLI.



## OpenAPI

````yaml /api-reference/endpoint/accounts/openapi.json get /accounts/api-creds
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    API for managing accounts, users, authentication, and payments in the
    quiva.ai platform
  version: 1.0.0
  contact:
    name: quiva.ai Support
    url: https://app.quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Account Management
    description: Operations related to account creation, updating, and deletion
  - name: User Management
    description: Operations related to user creation, updating, and deletion
  - name: Authentication
    description: Operations related to authentication and session management
  - name: API Keys
    description: Operations related to API key management
  - name: Multi-Factor Authentication
    description: Operations related to MFA setup and verification
  - name: Payment
    description: Operations related to subscription and payment management
  - name: Mesh Nodes
    description: Operations related to mesh node management
paths:
  /accounts/api-creds:
    get:
      tags:
        - API Keys
      summary: Get API credentials
      description: >-
        Retrieves credentials for a specific API key. -Allows users to retrieve
        the full credential string that can be used with the CLI.
      operationId: getApiCreds
      parameters:
        - name: key
          in: query
          description: Full API key
          schema:
            type: string
          required: true
          example: ms-d28f9a3c5b6e7d4a1c8f9a3c5b6e7d4a
      responses:
        '200':
          description: API credentials retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: string
              example:
                data: >-
                  -----BEGIN quiva.ai USER JWT-----

                  [JWT TOKEN]

                  ------END quiva.ai USER JWT------

                  ************************* IMPORTANT *************************

                  BKEY Seed printed below can be used to sign and prove
                  identity.

                  BKEYs are sensitive and should be treated as secrets.

                  -----BEGIN USER BKEY SEED-----

                  [BKEY SEED]

                  ------END USER BKEY SEED------

                  *************************************************************
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: API key not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````